
Core - Feature # 45278

Status: Closed Priority: Must have
Author: Witali Rott Category: File Abstraction Layer (FAL)
Created: 2013-02-08 Assigned To:
Updated: 2014-01-22 Due date:
PHP Version:
Complexity:
Sprint Focus:
Subject: Translation of file objects
Description

Make files in file_list translateable.
perhaps over a new table like sys_file_translate or over a colum sys_language_uid
but the new table is the better variant for a n:m relation (every with every)

The acrualy technique, for files in typoscript, over globalVar is BAD

[globalVar = GP:L = 1]
...
[global]

Related issues:
related to Core - Bug # 52816: Make sys_file_metadata and sys_file_references... Resolved 2013-10-14

History
#1 - 2013-02-08 14:50 - Andreas Wolf
- Status changed from New to Accepted

We already have this on the radar. I think it might be in 6.1, at the latest in 6.2 - depends on how many people help implementing and testing it.

#2 - 2013-02-08 14:50 - Andreas Wolf
- Project changed from File Abstraction Layer to Core
- Priority changed from Should have to Must have

#3 - 2013-02-08 14:50 - Andreas Wolf
- Category set to File Abstraction Layer (FAL)
- Target version set to 6.1.0
- TYPO3 Version set to 6.0

#4 - 2013-02-08 15:40 - Andreas Wolf
- Subject changed from Translation to Translation of file objects

#5 - 2014-01-22 00:36 - Stefan Neufeind

Implemented in 6.2 with patches like #52816 and following.

#6 - 2014-01-22 00:36 - Stefan Neufeind
- Status changed from Accepted to Closed

#7 - 2014-01-22 00:37 - Stefan Neufeind
- Target version changed from 6.1.0 to 6.2.0
